Skip to main content
PATCH
cURL

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

cluster_id
string
required

cluster_id is the ID for the cluster.

endpoint_id
string
required

endpoint_id is the ID for the VPC endpoint on the customer's side.

Body

application/json
status
enum<string>
required
  • AVAILABLE: accept/verify the connection on the service side.
  • REJECTED: reject the connection on the service side.
Available options:
AVAILABLE,
REJECTED

Response

A successful response.

cloud_provider
enum<string>
required
  • GCP: The Google Cloud Platform cloud provider.
  • AWS: The Amazon Web Services cloud provider.
  • AZURE: The Azure cloud provider.
Available options:
GCP,
AWS,
AZURE
endpoint_id
string
required

endpoint_id is the client side of the PrivateLink connection.

region_name
string
required

region_name is the cloud provider region name (i.e. us-east-1).

service_id
string
required

service_id is the server side of the PrivateLink connection. This is the same as AWSPrivateLinkEndpoint.service_id.

status
enum<string>
required
Available options:
PENDING,
PENDING_ACCEPTANCE,
AVAILABLE,
DELETING,
DELETED,
REJECTED,
FAILED,
EXPIRED
external_owner_id
string

external_owner_id represents the ID of the AWS account that owns the PrivateLink connection.